<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Import DataTable Library -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
    <div class="container-fluid">
        <h3 class="my-3 text-center">DANH SÁCH ĐƠN HÀNG</h3>
        <table id="table-user" class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th>Order Code</th>
                    <th>Kích cỡ combo</th>
                    <th>Loại Pizza</th>
                    <th>Nước uống</th>
                    <th>Thành tiền</th>
                    <th>Họ và tên</th>
                    <th>Số điện thoại</th>
                    <th>Trạng thái</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>

</body>
<script>
    "use strict"
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gCOL_NAME = ["orderCode", "kichCo", "loaiPizza", "idLoaiNuocUong", "thanhTien", "hoTen", "soDienThoai", "trangThai", "action"];
    const gCOL_ORDER_CODE = 0;
    const gCOL_KICH_CO = 1;
    const gCOL_LOAI_PIZZA = 2;
    const gCOL_NUOC_UONG = 3;
    const gCOL_THANH_TIEN = 4;
    const gCOL_HO_TEN = 5;
    const gCOL_SO_DIEN_THOAI = 6;
    const gCOL_TRANG_THAI = 7;
    const gCOL_ACTION = 8;
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders"

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onPageLoading();
        onLoadDataTable();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        $("#table-user").DataTable({
            columns: [
                { "data": gCOL_NAME[gCOL_ORDER_CODE] },
                { "data": gCOL_NAME[gCOL_KICH_CO] },
                { "data": gCOL_NAME[gCOL_LOAI_PIZZA] },
                { "data": gCOL_NAME[gCOL_NUOC_UONG] },
                { "data": gCOL_NAME[gCOL_THANH_TIEN] },
                { "data": gCOL_NAME[gCOL_HO_TEN] },
                { "data": gCOL_NAME[gCOL_SO_DIEN_THOAI] },
                { "data": gCOL_NAME[gCOL_TRANG_THAI] },
                { "data": gCOL_NAME[gCOL_ACTION] },

            ],
            columnDefs: [
                {
                    targets: gCOL_ACTION,
                    defaultContent: '<button class="btn btn-primary">Chi tiết</button>'
                }
            ]
        })
    }
    function onLoadDataTable() {
        $.ajax({
            url: gBASE_URL,
            type: "GET",
            success: function (paramRes) {
                loadDataTable(paramRes);
            },
            error: function (paramErr) {
                console.log(paramErr.status);
            }
        })
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // load data DataTable
    function loadDataTable(paramData) {
        var vTable = $("#table-user").DataTable();
        vTable.clear();
        vTable.rows.add(paramData);
        vTable.draw();
    }


</script>

</html>